Bug 1074426 (CVE-2017-17975)

Summary: VUL-1: CVE-2017-17975: kernel-source: use-after-free in the usbtv_probe function indrivers/media/usb/usbtv/usbtv-core.c
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: abergmann, meissner, smash_bz, tiwai
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/197424/
Whiteboard: CVSSv3:SUSE:CVE-2017-17975:3.5:(AV:P/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: take reference to avoid double free

Description Alexander Bergmann 2018-01-03 07:55:37 UTC
CVE-2017-17975

Use-after-free in the usbtv_probe function in
drivers/media/usb/usbtv/usbtv-core.c in the Linux kernel through 4.14.10 allows
attackers to cause a denial of service (system crash) or possibly have
unspecified other impact by triggering failure of audio registration, because a
kfree of the usbtv data structure occurs during a usbtv_video_free call, but the
usbtv_video_fail label's code attempts to both access and free this data
structure.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-17975
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-17975.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17975
http://linuxtesting.org/pipermail/ldv-project/2017-November/001008.html
Comment 1 Oliver Neukum 2018-01-08 14:27:21 UTC
Created attachment 755157 [details]
take reference to avoid double free

Proposed fix sent upstream
Comment 2 Oliver Neukum 2018-01-08 14:27:55 UTC
No patch known upstream, sent one in, waiting for response
Comment 3 Marcus Meissner 2018-01-25 06:59:32 UTC
seems not in 3.12? 4.4 and later considered affected.
Comment 4 Oliver Neukum 2018-02-28 13:55:37 UTC
(In reply to Marcus Meissner from comment #3)
> seems not in 3.12? 4.4 and later considered affected.

The driver was added in 3.11 under another name. I'll take a closer look at 3.12
Comment 5 Oliver Neukum 2018-02-28 14:06:26 UTC
(In reply to Marcus Meissner from comment #3)
> seems not in 3.12? 4.4 and later considered affected.

The vulnerability exists since v3.18
Comment 6 Oliver Neukum 2018-02-28 14:32:05 UTC
Patch added
Comment 7 Swamp Workflow Management 2018-03-23 02:13:58 UTC
openSUSE-SU-2018:0781-1: An update that solves 11 vulnerabilities and has 110 fixes is now available.

Category: security (important)
Bug References: 1006867,1012382,1015342,1015343,1020645,1022607,1027054,1031717,1033587,1034503,103998_FIXME,1042286,1043441,1043725,1043726,1062840,1065600,1065615,1066223,1067118,1068032,1068569,1069135,1070404,1071306,1071892,1072363,1072689,1072739,1072865,1073401,1073407,1074198,1074426,1075087,1076282,1076693,1076760,1076982,1077241,1077285,1077560,1078583,1078672,1078673,1079029,1079038,1079313,1079384,1079609,1079886,1079989,1080014,1080263,1080321,1080344,1080364,1080384,1080464,1080533,1080656,1080774,1080813,1080851,1081134,1081431,1081436,1081437,1081491,1081498,1081500,1081512,1081514,1081681,1081735,1082089,1082223,1082299,1082373,1082478,1082632,1082795,1082864,1082897,1082979,1082993,1083048,1083086,1083223,1083387,1083409,1083494,1083548,1083750,1083770,1084041,1084397,1084427,1084610,1084772,1084888,1084926,1084928,1084967,1085011,1085015,1085045,1085047,1085050,1085053,1085054,1085056,1085107,1085224,1085239,863764,966170,966172,966328,975772,983145
CVE References: CVE-2017-13166,CVE-2017-15951,CVE-2017-16644,CVE-2017-16912,CVE-2017-16913,CVE-2017-17975,CVE-2017-18174,CVE-2017-18208,CVE-2018-1000026,CVE-2018-1068,CVE-2018-8087
Sources used:
openSUSE Leap 42.3 (src):    kernel-debug-4.4.120-45.1, kernel-default-4.4.120-45.1, kernel-docs-4.4.120-45.2, kernel-obs-build-4.4.120-45.2, kernel-obs-qa-4.4.120-45.1, kernel-source-4.4.120-45.1, kernel-syms-4.4.120-45.1, kernel-vanilla-4.4.120-45.1
Comment 8 Swamp Workflow Management 2018-03-23 17:14:41 UTC
SUSE-SU-2018:0785-1: An update that solves 10 vulnerabilities and has 70 fixes is now available.

Category: security (important)
Bug References: 1005776,1006867,1012382,1012829,1027054,1031717,1034503,1035432,1042286,1043441,1045330,1062840,1065600,1065615,1066223,1067118,1068032,1068569,1069135,1071306,1071892,1072363,1072689,1072739,1072865,1073401,1074198,1074426,1075087,1076282,1077285,1077513,1077560,1077779,1078583,1078609,1078672,1078673,1078787,1079029,1079038,1079384,1079989,1080014,1080263,1080344,1080360,1080364,1080384,1080464,1080774,1080809,1080813,1080851,1081134,1081431,1081491,1081498,1081500,1081512,1081671,1082223,1082299,1082478,1082795,1082864,1082897,1082979,1082993,1083494,1083548,1084610,1085053,1085107,1085224,1085239,863764,966328,975772,983145
CVE References: CVE-2017-13166,CVE-2017-15951,CVE-2017-16644,CVE-2017-16912,CVE-2017-16913,CVE-2017-17975,CVE-2017-18208,CVE-2018-1000026,CVE-2018-1068,CVE-2018-8087
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    kernel-default-4.4.120-92.70.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    kernel-docs-4.4.120-92.70.1, kernel-obs-build-4.4.120-92.70.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    kernel-default-4.4.120-92.70.1, kernel-source-4.4.120-92.70.1, kernel-syms-4.4.120-92.70.1
SUSE Linux Enterprise Server 12-SP2 (src):    kernel-default-4.4.120-92.70.1, kernel-source-4.4.120-92.70.1, kernel-syms-4.4.120-92.70.1
SUSE Linux Enterprise Live Patching 12 (src):    kgraft-patch-SLE12-SP2_Update_20-1-3.3.1
SUSE Linux Enterprise High Availability 12-SP2 (src):    kernel-default-4.4.120-92.70.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    kernel-default-4.4.120-92.70.1, kernel-source-4.4.120-92.70.1, kernel-syms-4.4.120-92.70.1
OpenStack Cloud Magnum Orchestration 7 (src):    kernel-default-4.4.120-92.70.1
Comment 9 Swamp Workflow Management 2018-03-23 17:28:44 UTC
SUSE-SU-2018:0786-1: An update that solves 11 vulnerabilities and has 116 fixes is now available.

Category: security (important)
Bug References: 1006867,1012382,1015342,1015343,1020645,1022607,1024376,1027054,1031717,1033587,1034503,1042286,1043441,1043725,1043726,1062840,1065600,1065615,1066223,1067118,1068032,1068569,1069135,1070404,1071306,1071892,1072363,1072689,1072739,1072865,1073401,1073407,1074198,1074426,1075087,1076282,1076693,1076760,1076982,1077241,1077285,1077513,1077560,1077779,1078583,1078672,1078673,1078787,1079029,1079038,1079195,1079313,1079384,1079609,1079886,1079989,1080014,1080263,1080321,1080344,1080364,1080384,1080464,1080533,1080656,1080774,1080813,1080851,1081134,1081431,1081436,1081437,1081491,1081498,1081500,1081512,1081514,1081681,1081735,1082089,1082223,1082299,1082373,1082478,1082632,1082795,1082864,1082897,1082979,1082993,1083048,1083086,1083223,1083387,1083409,1083494,1083548,1083750,1083770,1084041,1084397,1084427,1084610,1084772,1084888,1084926,1084928,1084967,1085011,1085015,1085045,1085047,1085050,1085053,1085054,1085056,1085107,1085224,1085239,863764,966170,966172,966328,969476,969477,975772,983145
CVE References: CVE-2017-13166,CVE-2017-15951,CVE-2017-16644,CVE-2017-16912,CVE-2017-16913,CVE-2017-17975,CVE-2017-18174,CVE-2017-18208,CVE-2018-1000026,CVE-2018-1068,CVE-2018-8087
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.120-94.17.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.120-94.17.1, kernel-obs-build-4.4.120-94.17.1
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.120-94.17.1, kernel-source-4.4.120-94.17.1, kernel-syms-4.4.120-94.17.1
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_10-1-4.3.1
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.120-94.17.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.120-94.17.1, kernel-source-4.4.120-94.17.1, kernel-syms-4.4.120-94.17.1
SUSE CaaS Platform ALL (src):    kernel-default-4.4.120-94.17.1
Comment 10 Swamp Workflow Management 2018-04-19 13:21:53 UTC
SUSE-SU-2018:0986-1: An update that solves 19 vulnerabilities and has 166 fixes is now available.

Category: security (important)
Bug References: 1006867,1012382,1015342,1015343,1019784,1020645,1022595,1022607,1022912,1024296,1024376,1027054,1031492,1031717,1033587,1034503,1037838,1038078,1038085,1040182,1042286,1043441,1043652,1043725,1043726,1048325,1048585,1053472,1060279,1062129,1065600,1065615,1066163,1066223,1067118,1068032,1068038,1068569,1068984,1069135,1069138,1069160,1070052,1070404,1070799,1071306,1071892,1072163,1072363,1072484,1072689,1072739,1072865,1073229,1073401,1073407,1073928,1074134,1074198,1074426,1074488,1074621,1074839,1074847,1075066,1075078,1075087,1075091,1075397,1075428,1075617,1075621,1075627,1075811,1075994,1076017,1076110,1076187,1076232,1076282,1076693,1076760,1076805,1076847,1076872,1076899,1076982,1077068,1077241,1077285,1077513,1077560,1077592,1077704,1077779,1077871,1078002,1078583,1078672,1078673,1078681,1078787,1079029,1079038,1079195,1079313,1079384,1079609,1079886,1079989,1080014,1080263,1080321,1080344,1080364,1080384,1080464,1080533,1080656,1080774,1080813,1080851,1081134,1081431,1081436,1081437,1081491,1081498,1081500,1081512,1081514,1081681,1081735,1082089,1082223,1082299,1082373,1082478,1082632,1082795,1082864,1082897,1082979,1082993,1083048,1083056,1083086,1083223,1083387,1083409,1083494,1083548,1083750,1083770,1084041,1084397,1084427,1084610,1084772,1084888,1084926,1084928,1084967,1085011,1085015,1085045,1085047,1085050,1085053,1085054,1085056,1085107,1085224,1085239,863764,963844,966170,966172,966328,969476,969477,973818,975772,983145,985025
CVE References: CVE-2017-13166,CVE-2017-15129,CVE-2017-15951,CVE-2017-16644,CVE-2017-16912,CVE-2017-16913,CVE-2017-17712,CVE-2017-17862,CVE-2017-17864,CVE-2017-17975,CVE-2017-18017,CVE-2017-18174,CVE-2017-18208,CVE-2017-5715,CVE-2018-1000004,CVE-2018-1000026,CVE-2018-5332,CVE-2018-5333,CVE-2018-8087
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP3 (src):    kernel-rt-4.4.120-3.8.1, kernel-rt_debug-4.4.120-3.8.1, kernel-source-rt-4.4.120-3.8.1, kernel-syms-rt-4.4.120-3.8.1
Comment 15 Marcus Meissner 2018-08-29 08:49:57 UTC
released